Loading...
Searching...
No Matches
Halide::Internal::GeneratorMinMax Namespace Reference

## Functions

template<typename Other, typename T>
auto | min_forward (const Other &a, const GeneratorParam< T > &b) -> decltype(min(a,(T) b))
template<typename Other, typename T>
auto | min_forward (const GeneratorParam< T > &a, const Other &b) -> decltype(min((T) a, b))
template<typename Other, typename T>
auto | max_forward (const Other &a, const GeneratorParam< T > &b) -> decltype(max(a,(T) b))
template<typename Other, typename T>
auto | max_forward (const GeneratorParam< T > &a, const Other &b) -> decltype(max((T) a, b))

## Function Documentation

## min_forward() [1/2]

template<typename Other, typename T>

auto Halide::Internal::GeneratorMinMax::min_forward | ( | const Other & | a,
|  | const GeneratorParam< T > & | b )->decltype(min(a,(T) b))

Definition at line 1197 of file Generator.h.

References Halide::Internal::min().

Referenced by Halide::min(), and Halide::min().

## min_forward() [2/2]

template<typename Other, typename T>

auto Halide::Internal::GeneratorMinMax::min_forward | ( | const GeneratorParam< T > & | a,
|  | const Other & | b )->decltype(min((T) a, b))

Definition at line 1201 of file Generator.h.

References Halide::Internal::min().

## max_forward() [1/2]

template<typename Other, typename T>

auto Halide::Internal::GeneratorMinMax::max_forward | ( | const Other & | a,
|  | const GeneratorParam< T > & | b )->decltype(max(a,(T) b))

Definition at line 1206 of file Generator.h.

References Halide::Internal::max().

Referenced by Halide::max(), and Halide::max().

## max_forward() [2/2]

template<typename Other, typename T>

auto Halide::Internal::GeneratorMinMax::max_forward | ( | const GeneratorParam< T > & | a,
|  | const Other & | b )->decltype(max((T) a, b))

Definition at line 1210 of file Generator.h.

References Halide::Internal::max().